function login() {
    console.log("start login");
    username = $("#username").val();
    password = $("#passwd").val();

    if (!checkInputDataCorrect(username, password)) {
        return;
    }

    encPassword = encryptPassword(password);
    postData = {
        "user_name": username,
        "password": encPassword
    };

    $.ajax({
        url: "/api/v1/login",
        type: "post",
        dataType: "json",
        data: JSON.stringify(postData),
        success: (result) => {
            showDialog("Test", "获取到数据：" + JSON.stringify(result));
        },
        error: (msg, status) => {
            showMessage("登陆时发生错误：",JSON.stringify(msg));
        }
    })
}